// Disk Tools
// Created by Tom Reece
//
// Started: July 14th, 2002
// Finished: July 14th, 2002

#include <CyWin.h>
#include "stdio.h"

int process_message(struct Message *message);

struct module_t main_module;

long main(int argc, char* argv[], bool start)
{
  init_module(&main_module);
  init_putc();

  printf("// Disk Tools 1.0\n");
  printf("// \n");
  printf("// by Tom Reece\n");
  sleep ( 1000 );

  printf("\n");
  printf("> Scanning.\n");
  sleep ( 500 );
  printf("> Scanning..\n");
  sleep ( 500 );
  printf("> Scanning....\n");
  sleep ( 500 );
  printf("\n");
  printf("> Total Bytes: %ld\n", File_bytes_total(""));
  sleep ( 100 );
  printf("> Free Bytes: %ld\n", File_free_bytes_total(""));
  sleep ( 100 );
  printf("> Total Blocks: %ld\n", File_blocks_total(""));
  sleep ( 100 );
  printf("> Free Blocks: %ld\n", File_free_blocks_total(""));
  sleep ( 100 );
  printf("> Bad Blocks: %ld\n", File_bad_blocks_total(""));
  sleep ( 100 );
  printf("> Block size: %ld\n", File_block_size(""));
  sleep ( 100 );
  printf("> Total Files: %ld\n", File_files_total(""));
  sleep ( 100 );
  printf("\n");
  sleep ( 100 );
  printf("Press and key to exit...");

  getchar();

  return 0;
}

int process_message(struct Message *message)
{
}
#include "stdio.c"
